README for BibleTime
====================

BibleTime is a Bible study application based on Qt.

1. INSTALLATION

1.1 BUILD REQUIREMENTS
	-QT 4.5+
	-Sword 1.6.0+ (http://crosswire.org/sword)
	-CLucene 0.9.16a+ (http://clucene.sf.net)
	-cmake 2.6.0+ (http://cmake.org)

1.2 DOCUMENTATION GENERATION REQUIREMENTS (OPTIONAL)
	-po4a
	-xsltproc, docbook-xml, docbook-xsl
	-xml2po (part of the package gnome-doc-utils on some distributions)

These packages are used by BT committers to prepare
the documentation for the Handbook, Howto and the
website.  This tool set can be used by translators to
generate, test and validate their work.
There is no need to rely on these packages to bundle
BibleTime for distribution as the compiled documentation
is in the source tree ready for installation.

1.3 PROCEDURE

In the toplevel directory of this package, you can find
the scripts "build-debug.sh" and "build-release.sh".

Run "build-debug.sh" to build BibleTime in debug mode.
It will build in the directory ./build/ and install to
./build/install/. You can run it just there, you do not
have to install it to /usr/.

For a real installation, run "build-release.sh". This will
also build in ./build/, but then install to /usr/local.

1.4 MORE INSTRUCTIONS

There are detailed instructions in http://devel.bibletime.info
for building on *nix and Windows.


2. FEEDBACK

Please report any bugs your find to bt-devel@crosswire.org or
use the links on our webpage at http://www.bibletime.info.

3. DOCUMENTATION

You can find information about BibleTime, the installation
and its usage in the following places:
	o http://www.bibletime.info/
	o The BibleTime handbook available in the Help menu
		of the BibleTime application
	o There's a Bible study tutorial in the help menu

May God, our Lord, use BibleTime for his glory.

The BibleTime developers, info@bibletime.info
